BasicResponseHandler (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class BasicResponseHandler

    java.lang.Object
      org.apache.http.impl.client.AbstractResponseHandler<String>
          org.apache.http.impl.client.BasicResponseHandler

All Implemented Interfaces:
  ResponseHandler<String>

    @Contract(threading=IMMUTABLE)
    public class BasicResponseHandler

extends AbstractResponseHandler<String>

A `ResponseHandler` that returns the response body as a String for successful (2xx) responses. If the response code was >= 300, the response body is consumed and an `HttpResponseException` is thrown.

If this is used with `HttpClient.execute( org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler)`, HttpClient may handle redirects (3xx responses) internally.

Since:
  4.0

Constructor Summary
`BasicResponseHandler()`

Method Summary
`String` | `handleEntity(org.apache.http.HttpEntity entity)` Returns the entity as a body as a String.
`String` | `handleResponse(org.apache.http.HttpResponse response)` Read the entity from the response body and pass it to the entity handler method if the response was successful (a 2xx status code).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicResponseHandler

    public BasicResponseHandler()

Method Detail

### handleEntity

    public String handleEntity(org.apache.http.HttpEntity entity)
                        throws IOException

  Returns the entity as a body as a String.

  Specified by:
    `handleEntity` in class `AbstractResponseHandler<String>`
  Throws:
    `IOException`

### handleResponse

    public String handleResponse(org.apache.http.HttpResponse response)
                          throws HttpResponseException,
                                 IOException

  Description copied from class: `AbstractResponseHandler`
  Read the entity from the response body and pass it to the entity handler method if the response was successful (a 2xx status code). If no response body exists, this returns null. If the response was unsuccessful (>= 300 status code), throws an `HttpResponseException`.

  Specified by:
    `handleResponse` in interface `ResponseHandler<String>`
  Overrides:
    `handleResponse` in class `AbstractResponseHandler<String>`
  Parameters:
    `response` - The response to process
  Returns:
    A value determined by the response
  Throws:
    `ClientProtocolException` - in case of an http protocol error
    `IOException` - in case of a problem or the connection was aborted
    `HttpResponseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.